org.apache.lucene.benchmark.byTask.feeds

## Class EnwikiQueryMaker

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
  - - org.apache.lucene.benchmark.byTask.feeds.EnwikiQueryMaker

- All Implemented Interfaces:
    QueryMaker

      public class EnwikiQueryMaker
      extends AbstractQueryMaker
      implements QueryMaker

  A QueryMaker that uses common and uncommon actual Wikipedia queries for searching the English Wikipedia collection. 90 queries total.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

      `config, qnum, queries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnwikiQueryMaker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Query[]` | `prepareQueries()`

    - ### Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

      `makeQuery, makeQuery, nextQnum, printQueries, resetInputs, setConfig`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.benchmark.byTask.feeds.QueryMaker

      `makeQuery, makeQuery, printQueries, resetInputs, setConfig`

- - ### Constructor Detail

    - #### EnwikiQueryMaker

          public EnwikiQueryMaker()

  - ### Method Detail

    - #### prepareQueries

          protected Query[] prepareQueries()
                                    throws java.lang.Exception

      Specified by:
        `prepareQueries` in class `AbstractQueryMaker`
      Throws:
        `java.lang.Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.